Subject: [GIT PULL] ARM perf updates for 3.3

From: [email-masked] (Tony Lindgren)
Date: Tue, 6 Dec 2011 08:52:15 -0800

* Tony Lindgren <[email-masked]> [111205 15:34]:
> * Tony Lindgren <[email-masked]> [111205 14:51]:
> > * Russell King - ARM Linux <[email-masked]> [111205 12:40]:
> > > Tony,
> > > 
> > > Can you please treat this with the utmost urgency.  If I don't get a
> > > reply from you within the next two hours, then I'm committing this
> > > merge resolution whether or not it's correct for you - as I have other
> > > stuff which needs to be committed to my tree and I can't wait any
> > > longer for your reply.
> > 
> > Sorry only now saw this. Looking at it now.
> 
> Here's what I would do:
> 
> 1. Apply Santosh' omap2plus_defconfig patches first into devel-stable at
>    commit 53fadbdd83039bb1181e4ff76123d612cdf26c37 (Merge branch
>    'irqchip-consolidation' ...). The patches in question are 7188/1 and
>    patch 7189/1.
> 
> 2. Pull Will's for-rmk branch on top of that
> 
> 3. Run git mergetool which produces the resolution you posted earlier
> 
> 4. Before committing apply the following build fix and run git update-index
>    arch/arm/mach-omap2/display.c. This came from the DSS fixes in -rc4.
> 
> Then it all builds and boots fine. 

Added the following fix into patch system as 7194/1. Russell, can you
please apply that one into your devel-stable so we have a common
base for folks to base other omap patches on?

Regards,

Tony

From: Tony Lindgren <[email-masked]>
Date: Tue, 6 Dec 2011 08:46:25 -0800
Subject: [PATCH] ARM: OMAP: Fix build after a merge between v3.2-rc4 and ARM restart changes

ARM restart changes needed changes to common.h to make it local.
This conflicted with v3.2-rc4 DSS related hwmod changes that
git mergetool was not able to handle.

Signed-off-by: Tony Lindgren <[email-masked]>

--- a/arch/arm/mach-omap2/display.c
+++ b/arch/arm/mach-omap2/display.c
@@ -22,12 +22,13 @@
 #include <linux/io.h>
 #include <linux/clk.h>
 #include <linux/err.h>
+#include <linux/delay.h>
 
 #include <video/omapdss.h>
 #include <plat/omap_hwmod.h>
 #include <plat/omap_device.h>
 #include <plat/omap-pm.h>
-#include <plat/common.h>
+#include "common.h"
 
 #include "control.h"
 #include "display.h"